#!/usr/bin/perl

my $len = $#ARGV;

### print number of lines
my $str = "number of lines -->";
$str .= $len;
$str .= "\n";
print $str;

for (my $i = 0; $i < $len; $i++)
{

	my $z = @ARGV[$i];
	if ($z =~ /\+[0-9]\+*/) { ###  or @ARGV[$i] =~ /\+[0-9] \+*/) {
		print $z;
	}	

}

### 1;
